Subject: Re: [PATCH] git-gui: add support for filenames starting with tilde

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 Oct 2023 11:52:27 -0700

"Matthias Aßhauer via GitGitGadget" <[email-masked]> writes:

> From: =?UTF-8?q?Matthias=20A=C3=9Fhauer?= <[email-masked]>
>
> When git-gui encounters a file name starting with a tilde character (~),
> TCL "helpfully" expands that tilde into a (probably non-existing) users
> home directory. But in git-gui we're often not dealing with user supplied
> paths, where such an expansion might be expected, but actual names of files.
>
> Prevent TCL from doing tilde expansion on these literal filenames.

I do not have stake in git-gui (or gitk) and take the changes the
subsystem owners have decided to take from them, but I have to
wonder if this is merely robbing Peter to pay Paul?

If the above description were not "we're often not" but "the only
paths we use are repository relative, and a path that begin with a
tilde NEVER refers to somebody's home directory", then I would buy
into the change (but again, I am not even a user of git-gui, so take
this with a moderate grains of salt).

Thanks.